function battle_sai025(npcID)       --镜花姑

		local m=flag.GetBattleValue(12003)
		m=m+1
		flag.SetBattleValue(12003,m)
		
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
		
		if m%3==0 then
			battle.MagicToNpc(0,1501,1)
		else
			id=battle.GetRndPlayer()        --普通攻击
			battle.AtkToPlayer(id,1)
		end
		


end